<div class="modal-header">
  <h4 class="modal-title">Order ID #{{details.order_data.order_id}} 
    <span *ngIf="details.order_data.status=='-1'">ถูกยกเลิก</span>
    <span *ngIf="details.order_data.status=='0'">รอการชำระเงิน</span>
    <span *ngIf="details.order_data.status=='1'">รอการจัดส่ง</span>
    <span *ngIf="details.order_data.status=='2'">สำเร็จแล้ว</span>
  </h4>
  <button type="button" class="close" aria-label="Close" (click)="close()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <div class="content">
    <dl>
      <dt>Order ID </dt>
      <dd>#{{details.order_data.order_id}}</dd>
      <dt>ลูกค้า </dt>
      <dd>{{details.order_data.name}}</dd>
      <dt>สินค้า </dt>
      <dd>{{details.order_data.p_name.th}}</dd>
      <dt>จำนวน </dt>
      <dd>{{details.order_data.count}} คิว</dd>
      <dt>การขนส่ง </dt>
      <dd>
        <span *ngIf="details.order_data.car=='1'">รถโม่เล็ก จำนวน {{details.order_data.num_diff}} รอบ</span>
        <span *ngIf="details.order_data.car=='2'">รถโม่ใหญ่ จำนวน {{details.order_data.num_diff}} รอบ</span>
      </dd>
      <dt>วันที่จัดส่ง </dt>
      <dd>{{details.order_data.send_date}}</dd>
      <dt>เวลาที่จัดส่ง </dt>
      <dd>{{details.order_data.send_time}}</dd>
      <dt>สถานที่จัดส่ง </dt>
      <dd>{{details.order_data.address}} ตำบล{{details.order_data.subdistrict}} อำเภอ{{details.order_data.district}} จังหวัด{{details.order_data.province}}</dd>
    </dl>
  </div>
  <table class="table table-hover">
    <thead>
      <tr>
        <th>#</th>
        <th>ชื่อผู้ประมูล</th>
        <th>ราคา/คิว</th>
        <th>ค่าขนส่ง/รอบ</th>
        <th>ราคารวม</th>
        <th>รวมทั้งสิ้น(+{{details.order_data.rate}}%)</th>
        <th>วัน-เวลาที่ประมูล</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let t of action;let i = index" [ngClass]="{'win': i == 0}" >
        <td>{{i+1}}</td>
        <td>{{t.name}}</td>
        <td>{{t.ap_price|number}} บาท</td>
        <td>{{t.ap_diff_price|number}} บาท</td>
        <td>{{t.com_price|number}} บาท</td>
        <td>{{t.sumprice|number}} บาท</td>
        <td>{{t.create_date}}</td>
      </tr>
    </tbody>
  </table>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-secondary btn-raised" (click)="close()" >ปิดออก</button>
</div>